#include <pthread.h>
#include <stdio.h>

#define rwlock_t		pthread_rwlock_t
#define RWLOCK_INITIALIZER	PTHREAD_RWLOCK_INITIALIZER

#ifdef _REENTRANT
#define	rwlock_init(l, a)	pthread_rwlock_init(l, a)
#define	rwlock_rdlock(l)	pthread_rwlock_rdlock(l)
#define	rwlock_wrlock(l)	pthread_rwlock_wrlock(l)
#define	rwlock_tryrdlock(l)	pthread_rwlock_tryrdlock(l)
#define	rwlock_trywrlock(l)	pthread_rwlock_trywrlock(l)
#define	rwlock_unlock(l)	pthread_rwlock_unlock(l)
#define	rwlock_destroy(l)	pthread_rwlock_destroy(l)
#define	FLOCKFILE(fp)		flockfile(fp)
#define	FUNLOCKFILE(fp)		funlockfile(fp)
#else
#define	rwlock_init(l, a)
#define	rwlock_rdlock(l)
#define	rwlock_wrlock(l)
#define	rwlock_tryrdlock(l)
#define	rwlock_trywrlock(l)
#define	rwlock_unlock(l)
#define	rwlock_destroy(l)
#define	FLOCKFILE(fp)
#define	FUNLOCKFILE(fp)
#endif
