/* $NetBSD$ */

#include <assert.h>
#include <stddef.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#if 0
#include <wchar.h>
#else
#include <tr24731.h>
#endif

void test_n1135(void);

void
test_n1135(void)
{
	char s1[100] = "good";
	char s2[6] = "hello";
	char s3[6] = "hello";
	char s4[7] = "abc";
	char s5[1000] = "bye";
	int r1, r2, r3, r4;

	r1 = strncat_s(s1, 100, s5, 1000);
	assert(r1 == 0);
	assert(strcmp("goodbye", s1) == 0);

	r2 = strncat_s(s2, 6, "", 1);
	assert(r2 == 0);
	assert(strcmp("hello", s2) == 0);

	r3 = strncat_s(s3, 6, "X", 2);
	assert(r3 != 0);
	assert(strcmp("", s3) == 0);

	r4 = strncat_s(s4, 7, "defghijklmn", 3);
	assert(r4 == 0);
	assert(strcmp("abcdef", s4) == 0);
}

int
main(void)
{
	test_n1135();
	return 0;
}
