/* $NetBSD$ */

#include <assert.h>
#include <stddef.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#if 0
#include <wchar.h>
#else
#include <tr24731.h>
#endif

void test_n1135(void);

void
test_n1135(void)
{
	char src1[100] = "hello";
	char src2[7] = { 'g', 'o', 'o', 'd', 'b', 'y', 'e' };
	char dst1[6], dst2[5], dst3[5];
	int r1, r2, r3;

	r1 = strncpy_s(dst1, 6, src1, 100);
	assert(r1 == 0);
	assert(strcmp("hello", dst1) == 0);

	r2 = strncpy_s(dst2, 5, src2, 7);
	assert(r2 != 0);
	assert(strcmp("", dst2) == 0);

	r3 = strncpy_s(dst3, 5, src2, 4);
	assert(r3 == 0);
	assert(strcmp("good", dst3) == 0);
}

int
main(void)
{
	test_n1135();
	return 0;
}
